VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects Class Reference
Inheritance diagram for Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects:

## Avaliable Methods
public method | get_tag_id ()
public method | set_object_ids ()
public method | get_object_ids ()
public method | set_tag_id ()
public method | new ()

## Detailed Description

The `Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects` class describes a tag and its related objects. Use the :func:`Com::Vmware::Cis::Tagging::TagAssociation.list_attached_objects_on_tags` method* to retrieve a list with each element containing a tag and the objects to which it is attached.

## Member Function Documentation

public method Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects::get_object_ids | ( |  | ) |

Gets the value of 'object_ids' property.

Return values

  object_ids | - The current value of the field. The identifiers of the related objects. List#

Code:
click to view
# Number of lines of code in get_object_ids: 4
sub get_object_ids {
my ($self, %args) = @_;
return $self->{'object_ids'};
}

public method Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects::get_tag_id | ( |  | ) |

Gets the value of 'tag_id' property.

Return values

  tag_id | - The current value of the field. The identifier of the tag. ID#

Code:
click to view
# Number of lines of code in get_tag_id: 4
sub get_tag_id {
my ($self, %args) = @_;
return $self->{'tag_id'};
}

public method Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{tag_id} = $args{'tag_id'};
$self->{object_ids} = $args{'object_ids'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects');
$self->set_binding_name('name' => 'com.vmware.cis.tagging.tag_association.tag_to_objects');
$self->set_binding_field('key' => 'tag_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'object_ids', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'DynamicID')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects::set_object_ids | ( |  | ) |

Sets the given value for 'object_ids' property.

Parameters

  object_ids | - New value for the field. The identifiers of the related objects.

Code:
click to view
# Number of lines of code in set_object_ids: 5
sub set_object_ids {
my ($self, %args) = @_;
$self->{'object_ids'} = $args{'object_ids'};
return;
}

public method Com::Vmware::Cis::Tagging::TagAssociation::TagToObjects::set_tag_id | ( |  | ) |

Sets the given value for 'tag_id' property.

Parameters

  tag_id | - New value for the field. The identifier of the tag.

Code:
click to view
# Number of lines of code in set_tag_id: 5
sub set_tag_id {
my ($self, %args) = @_;
$self->{'tag_id'} = $args{'tag_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Tagging/TagAssociation.pm